<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreItem;
use App\Models\Item;
use App\Repository\Eloquent\ItemRepository;
use Illuminate\Http\Request;

class ItemController extends Controller
{

    protected $itemRepository;

    public function __construct(ItemRepository $itemRepository)
    {
        $this->itemRepository = $itemRepository;
    }

    public function getItem(Request $request)
    {
        return $this->itemRepository->getItem($request);
    }

    // public function getDetails(Request $request)
    // {
    //     return $this->itemRepository->getDetails($request);
    // }

    public function getSimilars(Request $request)
    {
        return $this->itemRepository->getSimilars($request);
    }

    public function getSections(Request $request)
    {
        return $this->itemRepository->getSections($request);
    }

    public function store(StoreItem $request)
    {
        return $this->itemRepository->store($request);
    }
    
}
