<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreTicket;
use App\Models\Ticket;
use App\Repository\Eloquent\TicketRepository;
use Illuminate\Support\Facades\Auth;

class TicketController extends Controller
{

    protected $ticketRepository;

    public function __construct(TicketRepository $ticketRepository)
    {
        $this->ticketRepository = $ticketRepository;
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreTicket $request)
    {
        return $this->ticketRepository->storeTicket($request);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }
}
