<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LoginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'email'         => 'required_without:phone_number|email',
            'phone_number'  => 'required|required_without:email',
            'password'      => 'required',
        ];
    }

    public function messages()
    {
        return [
            'phone_number.required_without' => 'شماره همراه ضروری است',
            'email.required_without'        => 'ایمیل ضروری است',
            'email.email'                   => 'ایمیل را به درستی وارد کنید',
            'password.required'             => 'رمز عبور را وارد کنید',
        ];
    }
}
