<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class FilmCastResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return[
            'id' => $this->resource->id,
            'name' => $this->resource->name,
            'description' => $this->resource->description,
            'image_url' => Storage::url($this->resource->image_path),
            // 'role' => $this->resource->pivot->role,
            'items' => CompactItemResource::collection($this->whenLoaded('items')),
        ];

        // if(!is_null($this->resource->pivot)){
            // dd($this->resource);
            $data['role'] = $this->resource->pivot->role;
    }
}
