<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['name'];

    public function items()
    {
        return $this->morphedByMany(Item::class, 'categorizable')->latest();
    }

    public function serials()
    {
        return $this->belongsToMany(Item::class, 'category_item')->where('item_type', 'serial')->latest();
    }

    public function films()
    {
        return $this->belongsToMany(Item::class, 'category_item')->where('item_type', 'film')->latest();
    }

    public function slider()
    {
        return $this->belongsTo(Slider::class);
    }
}
