<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DiscountCode extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'name',
        'code',
        'discount_percent',
        'maximum_discount',
        'expired_at',
    ];

    public function users()
    {
        return $this->belongsToMany(User::class, 'used_discount_code');
    }
}
