<?php

namespace App\Repository\Eloquent;

use App\Http\Resources\AnswerResource;
use App\Http\Resources\CategoryResource;
use App\Http\Resources\ItemResource;
use App\Models\Answer;
use App\Models\Category;
use App\Models\QuestionPackage;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AnswerRepository extends BaseRepository{


    public function getAnswers(Request $request)
    {
        $answers = QuestionPackage::find($request->id)->questions()->first()->answers;
        $answers->each(function($answer){

            $answer['likes_count'] = $answer->likes->count();
            $answer['dislikes_count'] = $answer->disLikes->count();

            $answer['rating'] = null;
            if($answer['likes_count'] != 0){
                $answer['rating'] = ($answer['likes_count']/($answer['likes_count'] + $answer['dislikes_count'])) * 100;
            }

            $answer['posted_at'] = verta($answer['created_at'])->formatDifference();
            $answer['who_posted'] = $answer->user->first_name;
            

            $answer['action'] = null;
            $user = auth('sanctum')->user();
            if(!is_null($user)){
                if(!is_null($answer->likes)){
                    $like =  $answer->likes->search(function($like) use($user){
                            return $like->id == $user->id;
                        });
                    if($like !== false){
                        $answer['action'] = 'like';
                    }
                }

                if(!is_null($answer->disLikes)){

                    $disLike =  $answer->disLikes->search(function($like) use($user){
                        return $like->id == $user->id;
                    });
                    if($disLike !== false){
                        $answer['action'] = 'dislike';
                    }
                }
            }

        });

        return $this->sendResponse(AnswerResource::collection($answers));
    }

    public function getAnswer(Request $request)
    {
        $answer = Answer::find($request->id);
        $answer->comments;
        return $this->sendResponse(new AnswerResource($answer));
    }

    public function postAnsewers(Request $request)
    {

        $answers = $request->answers;
        foreach($answers as $index => $answer){

            $answers[$index]['user_id'] = Auth::user()->id;
            $answers[$index]['created_at'] = now();
            $answers[$index]['updated_at'] = now();
            if(isset($answer['image'])){
                $answers[$index]['image_path'] = $answer['image']->store('answers/images');
                unset($answers[$index]['image']);
            }
            if(isset($answer['video'])){
                $answers[$index]['video_path'] = $answer['video']->store('answers/videos');
            }
            if(isset($answer['file'])){
                $answers[$index]['file_path'] = $answer['file']->store('answers/files');
            }


        }

        return $this->sendResponse();
    }
    

}

?>