<?php

namespace App\Repository\Eloquent;

use App\Http\Resources\NotificationResource;
use App\Models\Notification;
use App\Models\User;
use App\Notifications\UserNotification;
use Hekmatinasser\Verta\Verta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class NotificationRepository extends BaseRepository{

    protected $model;

    public function __construct(Notification $model)
    {
        $this->model = $model;
    }


    //---------------------------------------------------------------------------------------------------
    

    public function get()
    {
        // return Verta::now('Asia/Tehran');
        $notification = Auth::user()->notifications()
        ->orderBy('read_at', 'asc')
        ->orderBy('created_at', 'desc')
        ->get();
        Auth::user()->unreadNotifications->markAsRead();
        return $this->sendResponse(NotificationResource::collection($notification));
    }
 
    public function send(Request $request)
    {
        $user = User::find($request->user_id);
        $user->notify(new UserNotification(['title' => $request->title, 'content' => $request->content]));
        return $this->sendResponse();
    }


}

?>