<?php

namespace App\Repository\Eloquent;

use App\Http\Resources\CompactQuestionPackageResource;
use App\Http\Resources\QuestionPackageResource;
use App\Models\QuestionPackage;
use Illuminate\Http\Request;

class QuestionPackageRepository extends BaseRepository{


    //---------------------------------------------------------------------------------------------------
    
    public function getPackages(Request $request)
    {
        // return $request;
        $data = [];
        // if($request->type == 'quiz'){
        //     $data = QuestionPackage::where('question_package_type', $request->type)->get();
        // } else {
            $data = QuestionPackage::where('question_package_type', $request->type)->get();
        // }

        return $this->sendResponse(CompactQuestionPackageResource::collection($data));
    }

    public function get(Request $request)
    {
        $package = QuestionPackage::find($request->id);
        if(!is_null($package->expired_at)){
            $package['end'] = now()->lt($package->expired_at);
        }
        return $this->sendResponse(new QuestionPackageResource($package));
    }
    

    

}

?>