<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('question_packages', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->string('name');
            $table->string('cover_path')->default('covers/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->string('image_path')->default('images/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->string('description')->nullable();
            $table->enum('question_package_type', ['quiz', 'image', 'image_and_video']);
            $table->unsignedBigInteger('item_id')->nullable();
            $table->foreign('item_id')->references('id')->on('items');
            $table->timestamp('expired_at')->nullable();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('question_packages');
    }
};
