<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('questions', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->enum('question_type', ['descriptive', 'four_option', 'file', 'image', 'image_and_video']);
            $table->string('image_path')->default('images/MVknX98otKoVIsis0WOmNWy8X49Yrh5gDITntlKR.jpg');
            $table->unsignedBigInteger('question_package_id')->default(1);
            $table->foreign('question_package_id')->references('id')->on('question_packages');
            $table->string('question');
            $table->text('answer')->nullable();
            $table->string('location')->nullable();
            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questions');
    }
};
